Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 6.0.32
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina
Interface ContainerListener

All Known Implementing Classes:
  MapperListener, NamingContextListener, ServerLifecycleListener, StandardEngine.AccessLogListener

    public interface ContainerListener

Interface defining a listener for significant Container generated events. Note that "container start" and "container stop" events are normally LifecycleEvents, not ContainerEvents.

Version:
  $Id: ContainerListener.java 939350 2010-04-29 15:36:29Z kkolinko $
Author:
  Craig R. McClanahan

Method Summary
`void` | `containerEvent(ContainerEvent event)` Acknowledge the occurrence of the specified event.

Method Detail

### containerEvent

    void containerEvent(ContainerEvent event)

  Acknowledge the occurrence of the specified event.

  Parameters:
    `event` - ContainerEvent that has occurred

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 6.0.32
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.